Package org.gradle.plugins.ide

# Interface IdeWorkspace

All Superinterfaces:
  `Describable`

All Known Subinterfaces:
  `VisualStudioSolution`, `XcodeWorkspace`

All Known Implementing Classes:
  `IdeaProject`

public interface IdeWorkspace extends Describable
Represents an IDE "workspace" that is generated by Gradle and can be opened in the IDE.

Since:
  4.7

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Provider<? extends FileSystemLocation>`
  `getLocation()`
  Returns the location of the generated workspace.

  ### Methods inherited from interface org.gradle.api.Describable

  `getDisplayName`

- ## Method Details

  - ### getLocation

    Provider<? extends FileSystemLocation> getLocation()
    Returns the location of the generated workspace.